# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMolecule/Molecule.hpp File Reference

`#include "vlMolecule/Atom.hpp"`
`#include "vlMolecule/Bond.hpp"`
`#include "vl/Geometry.hpp"`
`#include "vl/KeyValues.hpp"`
`#include "vl/Actor.hpp"`
`#include "vl/ActorTree.hpp"`
`#include "vl/Text.hpp"`

## Classes

class | vlMolecule::Molecule
| The Molecule class is used to manage and render 3D molecular structures. More...

## Namespaces

namespace | vlMolecule
| The Molecule Visualization namespace.

## Enumerations

enum | vlMolecule::EMoleculeStyle { vlMolecule::MS_AtomsOnly, vlMolecule::MS_BallAndStick, vlMolecule::MS_Sticks, vlMolecule::MS_Wireframe }
| Defines the main molecule styles. More...

## Functions

bool | vlMolecule::loadMOL2 (const vl::String &path, std::vector< vl::ref< Molecule > > &structures)
| Loads a Tripos MOL2 file.
bool | vlMolecule::loadMOL2 (vl::VirtualFile *vfile, std::vector< vl::ref< Molecule > > &structures)
| Loads a Tripos MOL2 file.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.